Bug 1475305 - migration/postcopy: Handle network failures (qemu-kvm-rhev)
migration/postcopy: Handle network failures (qemu-kvm-rhev)
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev (Show other bugs)
7.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Peter Xu
xianwang
:
Depends On:
Blocks: 1475431
  Show dependency treegraph
 
Reported: 2017-07-26 08:18 EDT by Dr. David Alan Gilbert
Modified: 2017-12-04 07:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1475431 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. David Alan Gilbert 2017-07-26 08:18:59 EDT
Description of problem:
A failure of the migration network during the postcopy phase of migration is fatal; we can't restart the source since the current state is spread between the two hosts.  We want to be able to reconnect the migration stream and complete the migration after someone has fixed the network

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start a migration
2. switch to postcopy mode
3. take an axe to the network cable
4. wait for TCP timeout
5. Replace network cable

Actual results:
Migration fails after the TCP timeout, the destination VM fails, and can't be restarted.

Expected results:
Some way to recover.

Additional info:
Comment 3 Peter Xu 2017-10-09 23:23:09 EDT
To allow network recovery to happen, we need both the mechanism to do the recover, and also we need to solve the existing monitor hang problem (we need QMP to trigger the recovery on destination side, however existing QMP may hang due to main thread page fault).

The latest work for the migration recovery (there will be a new version very soon though):

https://lists.gnu.org/archive/html/qemu-devel/2017-08/msg05892.html

The lastest work for the monitor hang solution:

https://lists.gnu.org/archive/html/qemu-devel/2017-09/msg03695.html

Both series are still discussing upstream.  It's hard to make it for 7.5 on both (the recovery part is relatively easier, the monitor part would be harder).

After discussion with Hai, postponing this bug to 7.6 for better luck.

Peter
Comment 4 Ademar Reis 2017-12-04 07:37:09 EST
(In reply to Peter Xu from comment #3)
> Both series are still discussing upstream.  It's hard to make it for 7.5 on
> both (the recovery part is relatively easier, the monitor part would be
> harder).
> 
> After discussion with Hai, postponing this bug to 7.6 for better luck.
> 

Also removing from the RPL.

Note You need to log in before you can comment on or make changes to this bug.